import { Device } from "@capacitor/device";
/**
 * Gets all information about the device.
 *
 * @example
 * ```
 * const deviceInfo = await getAllDeviceInfo();
 * ```
 *
 * @remarks
 * Battery information is not available on iOS or macOS
 */
export async function getAllDeviceInfo() {
    const deviceInfo = await Device.getInfo();
    return {
        ...deviceInfo,
        ...(await Device.getId()),
        ...{
            languageCode: (await Device.getLanguageCode()).value,
        },
        ...{
            languageTag: (await Device.getLanguageCode()).value,
        },
    };
}
