import { DeepClient, SerialOperation } from '@deep-foundation/deeplinks/imports/client';
import { DeviceInfo } from './device-info';
import { Link } from '@deep-foundation/deeplinks/imports/minilinks';
/**
  * Gets serial operations to insert Device
  *
  * @example
 ```ts
 const serialOperations = await getDeviceValueInsertSerialOperations({
   deep
 });
 await deep.serial({
   operations: serialOperations
 })
 ```
  */
export declare function getDeviceValueUpdateSerialOperations(param: GetDeviceValueUpdateSerialOperationsParam): Promise<Array<SerialOperation>>;
export type GetDeviceValueUpdateSerialOperationsParam = {
    /**
     * DeepClient
     */
    deep: DeepClient;
    /**
     * Device Info
     *
     * @remarks
     * If not passed then {@link getAllDeviceInfo} is used to get the device info
     */
    info?: DeviceInfo;
} & ({
    /**
     * Device Link Id
     */
    deviceLinkId: number;
} | {
    /**
     * Device Link
     */
    deviceLink: Link<number>;
});
